Subject: Re: bug#61849: 29.0.60; Unable to use treesit-install-language-grammar because repo doesn't have parser.c

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Mar 2023 21:28:20 +0200

> From: Misha Zharov <[email-masked]>
> Date: Sun, 19 Mar 2023 22:14:44 -0700
> Cc: [email-masked], [email-masked]
> 
> > Please chime in to try to convince them to go back to including the
> > generated parser files.
> 
> Thanks for the update.  I've now done this, but I think that it will be
> difficult to make sure that community sticks to this standard of keeping
> the autogenerated files in the repo.  Their arguments do have some
> merit regarding the difficulty of resolving merge conflicts and overall
> maintenance burden.  At the same time, having the autogenerated file
> present is a nice QOL feature for users because it's easily reproducible.

Bummer:

  https://github.com/DerekStride/tree-sitter-sql/issues/120#issuecomment-1476609242

> I'm not sure what the ultimate solution to this will be though.  It might be
> necessary to come up with a new paradigm of installing treesitter
> grammars that addresses some of the current issues

Maybe.  better yet, the various distros should hopefully pick up the
gauntlet and startr providing prebuilt binaries of these grammar
libraries for users to install using standard tools.